%define upstream_name    Unix-Processors
%define upstream_version 2.046

Summary:    Interface to processor (CPU) information
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/UNIX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test) >= 1.0.0
BuildRequires: perl(warnings) >= 1.0.0
BuildRequires: perl-devel
%description
Perl interface to processor (CPU) information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc COPYING Changes META.yml MYMETA.yml README
%{perl_vendorarch}/*
%{_mandir}/man3/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 2.46.0-10.mga9
+ Revision: 1862593
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.46.0-9.mga9
+ Revision: 1796173
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.46.0-8.mga9
+ Revision: 1727215
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.46.0-7.mga8
+ Revision: 1595296
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.46.0-6.mga8
+ Revision: 1529148
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 2.46.0-5.mga8
+ Revision: 1433192
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.46.0-4.mga7
+ Revision: 1293956
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.46.0-3.mga7
+ Revision: 1249924
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 2.46.0-2.mga7
+ Revision: 1167229
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 2.46.0-1.mga7
+ Revision: 1159459
- update to 2.046

* Thu Aug 31 2017 pterjan <pterjan> 2.45.0-2.mga7
+ Revision: 1149428
- Rebuild for perl ABI changes

* Sun Jul 23 2017 shlomif <shlomif> 2.45.0-1.mga7
+ Revision: 1129058
- update to 2.045

* Sat Jul 22 2017 neoclust <neoclust> 2.44.0-3.mga7
+ Revision: 1126590
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.44.0-2.mga6
+ Revision: 1035568
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.44.0-1.mga6
+ Revision: 1002330
- update to 2.044

* Fri Feb 12 2016 umeabot <umeabot> 2.43.0-4.mga6
+ Revision: 958192
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.43.0-3.mga6
+ Revision: 845471
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 2.43.0-2.mga6
+ Revision: 841300
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 2.43.0-1.mga6
+ Revision: 838353
- update to 2.043

* Wed Oct 15 2014 umeabot <umeabot> 2.42.0-10.mga5
+ Revision: 747658
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.42.0-9.mga5
+ Revision: 686804
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.42.0-8.mga5
+ Revision: 631865
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.42.0-7.mga4
+ Revision: 524549
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.42.0-6.mga4
+ Revision: 430998
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.42.0-5.mga3
+ Revision: 374624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.42.0-4.mga3
+ Revision: 251292
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 2.42.0-3.mga2
+ Revision: 105099
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 2.42.0-2.mga1
+ Revision: 31417
- mageia rebuild
- imported package perl-Unix-Processors


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.42.0-2mdv2011.0
+ Revision: 555209
- rebuild

* Sun Jan 24 2010 Jérôme Quelin <jquelin@mandriva.org> 2.42.0-1mdv2010.1
+ Revision: 495435
- update to 2.042

* Fri Jan 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.41.0-1mdv2010.1
+ Revision: 484783
- import perl-Unix-Processors


